Retrieve keystores
Retrieves keystores to access and manage the storage of encryption keys within your environment. This functionality is essential for ensuring secure data handling and compliance with encryption standards.
HTTP method and endpoint
GET /security/key-stores
Introduced in
ONTAP 9.10
Related ONTAP commands
-
security key-manager show-key-store -
security key-manager keystore show
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
configuration.name |
string |
query |
False |
Filter by configuration.name
|
configuration.uuid |
string |
query |
False |
Filter by configuration.uuid
|
svm.uuid |
string |
query |
False |
Filter by svm.uuid |
svm.name |
string |
query |
False |
Filter by svm.name |
scope |
string |
query |
False |
Filter by scope
|
enabled |
boolean |
query |
False |
Filter by enabled
|
type |
string |
query |
False |
Filter by type |
location |
string |
query |
False |
Filter by location |
uuid |
string |
query |
False |
Filter by uuid |
fields |
array[string] |
query |
False |
Specify the fields to return. |
max_records |
integer |
query |
False |
Limit the number of records returned. |
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When iterating over a collection, the default is 15 seconds. ONTAP returns earlier if either max records or the end of the collection is reached.
|
return_records |
boolean |
query |
False |
The default is true for GET calls. When set to false, only the number of records is returned.
|
order_by |
array[string] |
query |
False |
Order results by specified fields and optional [asc |
Response
Status: 200, Ok
| Name | Type | Description |
|---|---|---|
_links |
||
num_records |
integer |
Number of records. |
records |
array[security_keystore] |
Example response
{
"_links": {
"next": {
"href": "/api/resourcelink"
},
"self": {
"href": "/api/resourcelink"
}
},
"num_records": 1,
"records": [
{
"configuration": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "default",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563434"
},
"location": "string",
"scope": "string",
"svm": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"type": "string",
"uuid": "string"
}
]
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
13434920 |
SVM does not exist. |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
| Name | Type | Description |
|---|---|---|
next |
||
self |
_links
| Name | Type | Description |
|---|---|---|
self |
configuration
Security keystore object reference.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
Name of the configuration. |
uuid |
string |
Keystore UUID. |
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
security_keystore
| Name | Type | Description |
|---|---|---|
configuration |
Security keystore object reference. |
|
enabled |
boolean |
Indicates whether the configuration is enabled. |
location |
string |
Indicates whether the keystore is onboard or external. * 'onboard' - Onboard Key Database * 'external' - External Key Database, including KMIP and Cloud Key Management Systems |
scope |
string |
Set to "svm" for interfaces owned by an SVM. Otherwise, set to "cluster". |
svm |
SVM, applies only to SVM-scoped objects. |
|
type |
string |
Type of keystore that is configured: * 'okm' - Onboard Key Manager * 'kmip' - External Key Manager * 'akv' - Azure Key Vault Key Management Service * 'gcp' - Google Cloud Platform Key Management Service * 'aws' - Amazon Web Service Key Management Service * 'ikp' - IBM Key Protect Key Management Service |
uuid |
string |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |